Volt Accounts APIlegacyVolt accounts
Get list of transactions
GET
apiBearerAuthheader
AuthorizationBearer <token>accountId*stringId of Virtual account
Format
uuidcurrency*stringCurrency code, supported by Volt
Value in
"EUR""GBP""DKK""PLN"page*integerNumber of a page
Default
1limit*integerNumber of items on the page
Default
100dateFrom*stringDate in YYYY-MM-DD format
Format
datedateTo*stringDate in YYYY-MM-DD format
Format
dateSuccess
application/json- response
[index: integer]?curl -X GET 'https://connect-api-sandbox.volt.io/accounts/94c01e1e-533e-41d5-ab70-ac163d6099f5/EUR/transactions?page=1&limit=5&dateFrom=2024-10-29&dateTo=2024-11-05'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "operation": "debit", "type": "payout", "payout": { "type": "string", "payoutId": "c3d65312-6575-43de-b8ae-728d8d0a9371" }, "reference": "string", "status": "string", "amount": "string", "currency": "string", "balance": { "before": "string", "after": "string" }, "sender": { "name": "string", "country": "string", "account": { "accountIdentifiers": { "iban": "string" }, "country": "string" }, "virtualAccount": { "accountIdentifiers": { "iban": "string" }, "virtualAccountId": "string", "country": "string" }, "taxIdentificationNumber": "string", "address": "string" }, "beneficiary": { "name": "string", "country": "string", "email": "string", "account": { "accountIdentifiers": { "bic": "string", "iban": "string" }, "country": "string" }, "taxIdentificationNumber": "string", "address": "string" } }]